#
# Conditional build:
%bcond_without	vala	# Vala binding

Summary:	Map renderer for OpenStreetMap data
Summary(pl.UTF-8):	Renderer map dla danych OpenStreetMap
Name:		memphis
Version:	0.2.3
Release:	9
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://wenner.ch/files/public/mirror/memphis/%{name}-%{version}.tar.gz
# Source0-md5:	dbed61f37d07801c1f660c0b5a5d81bc
URL:		http://trac.openstreetmap.ch/trac/memphis/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	expat-devel
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	libtool
BuildRequires:	pkgconfig
%{?with_vala:BuildRequires:	vala >= 0.8.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Memphis is a map-rendering library for OpenStreetMap data.

%description -l pl.UTF-8
Memphis jest biblioteką renderującą mapy dla danych OpenStreetMap.

%package devel
Summary:	Header files for libmemphis library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmemphis
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.4.0
Requires:	glib2-devel >= 1:2.16.0

%description devel
Header files for libmemphis library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmemphis.

%package static
Summary:	Static libmemphis library
Summary(pl.UTF-8):	Statyczna biblioteka libmemphis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmemphis library.

%description static -l pl.UTF-8
Statyczna biblioteka libmemphis.

%package apidocs
Summary:	libmemphis library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmemphis
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libmemphis library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmemphis.

%package -n vala-memphis
Summary:	libmemphis API for Vala language
Summary(pl.UTF-8):	API libmemphis dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 0.8.0
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-memphis
libmemphis API for Vala language.

%description -n vala-memphis -l pl.UTF-8
API libmemphis dla języka Vala.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	%{?with_vala:--enable-vala} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmemphis-0.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmemphis-0.2.so.0
%{_libdir}/girepository-1.0/Memphis-0.2.typelib
%{_datadir}/memphis

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmemphis-0.2.so
%{_includedir}/libmemphis-0.2
%{_pkgconfigdir}/memphis-0.2.pc
%{_datadir}/gir-1.0/Memphis-0.2.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libmemphis-0.2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmemphis

%if %{with vala}
%files -n vala-memphis
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/memphis-0.2.deps
%{_datadir}/vala/vapi/memphis-0.2.vapi
%endif
%changelog
* Fri Apr 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/memphis.git;a=log;h=master

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> d08180b
- noarch apidocs

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 326a0b6
- noarch vala subpackage

* Sat Mar 21 2015 Elan Ruusamäe <glen@delfi.ee> 1a6061e
- x32 rebuild
- release 7 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 50c7c86
- rebuild with expat 2.1.0
- release 6 (by relup.sh)

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 60d6051
- enable vala by default, release 5

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 52b9c96
- typo

* Sun Sep 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 427dcd5
- allow to build Vala binding

* Mon Jul 23 2012 Marcin Krol <hawk@tld-linux.org> de782a1
- release 4 (by relup.sh)

* Wed Sep 21 2011 lisu <lisu@pld-linux.org> 033230f
- removed libtool file
- rel 3

* Tue Sep 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> e7f5221
- release 2

* Tue Jun 29 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0239af9
- updated to 0.2.3

* Sat Mar 13 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0f5b13d
- updated to 0.2.0
- added -apidocs subpackage

* Thu Feb 25 2010 sparky <sparky@pld-linux.org> 3167bba
- BR: pkgconfig

* Thu Feb 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 5f218dc
- proper glib2 epoch

* Thu Feb 25 2010 Marcin Banasiak <marcin.banasiak@gmail.com> aeee1d5
- new

